package com.aluxoft.earrecognition;

/**
 * Created by josejuliomartinez on 06/10/15.
 */
public class EarIdentifier {

    private EarDatabase database;

    public EarIdentifier(EarDatabase _database) {
        this.database = _database;
    }

    public void setDatabase(EarDatabase _database) {
        this.database = _database;
    }

    /**
     * Do the ear identification process.
     * @param feature The result of the identification.
     * @return
     */
    public EarIdentifierResult identify(EarFeature feature) {
        return null;
    }

    static {
        System.loadLibrary("opencv_java");
        System.loadLibrary("nonfree");
    }

}
